- Install nvm: https://github.com/creationix/nvm#installation-and-update
  - `$ nvm install node`
  - `$ npm install -g pm2`
- Create a service runner script with execute permissions:
```js
#!/usr/bin/env node
var http = require('http');
http.createServer(function (req, res) {
  res.writeHead(200, {'Content-Type': 'text/plain'});
  res.end('Hello World\n');
}).listen(8080, 'localhost');
console.log('Server running at http://localhost:8080/');
```
  - `$ pm2 start service.js`
  - `$ pm2 startup upstart`
  - `$ pm2 save`